Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.xauth
Class XAuthSigner

    java.lang.Object
      com.twitterapime.xauth.XAuthSigner

    public final class XAuthSigner

extends java.lang.Object

This class implements a xAuth signer.

Since:
  1.3
Version:
  1.0
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)

Constructor Summary
`XAuthSigner(java.lang.String consumerKey, java.lang.String consumerSecret)` Create an instance of XAuthSigner class.

Method Summary
`void` | `sign(HttpRequest req, Token access)` Sign the given request.
`void` | `signForAccessToken(HttpRequest req, java.lang.String username, java.lang.String password)` Sign the given request to obtain the access token.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XAuthSigner

    public XAuthSigner(java.lang.String consumerKey,
                       java.lang.String consumerSecret)

  Create an instance of XAuthSigner class.

  Parameters:
    `consumerKey` - Consumer key.
    `consumerSecret` - Consumer secret.
  Throws:
    `java.lang.IllegalArgumentException` - If consumer key/secret is empty or null.

Method Detail

### signForAccessToken

    public void signForAccessToken(HttpRequest req,
                                   java.lang.String username,
                                   java.lang.String password)

  Sign the given request to obtain the access token.

  Parameters:
    `req` - Http request.
    `username` - User name.
    `password` - Password.

### sign

    public void sign(HttpRequest req,
                     Token access)

  Sign the given request.

  Parameters:
    `req` - Http request.
    `access` - Access token.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.